Public Class frmDowJonesBrowser
    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Close()
    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        MessageBox.Show("Dow Jones Industrial Browser Version 1.0 " & Constants.vbCrLf & Constants.vbCrLf _
                        & "Programmed by Spiros Velianitis", "About this Program", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub

    Private Sub btnFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFind.Click
        Try
            Dim myStock As DowStock = DowStockDB.getDowStock(Me.txtTicker.Text)
            Me.lblStockName.Text = myStock.StockName
            Me.lblDividend.Text = FormatCurrency(myStock.Dividend)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "SQL ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Try
            Dim intRecordsDeleted As Integer = DowStockDB.deleteDowStock(Me.txtTicker.Text)
            MessageBox.Show(intRecordsDeleted & " Records Have Been Deleted", "SQL INFORMATION", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Catch ex As Exception
            MessageBox.Show(ex.Message, "SQL ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub ExitToolStripMenuItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub btnInsert_Click(sender As System.Object, e As System.EventArgs) Handles btnInsert.Click
        'TODO: Write your implementation below

    End Sub
End Class
